/*******************************************************************/
/*                           HEADER                                */
/*******************************************************************/
#ifndef __VARIABLE_H__
#define __VARIABLE_H__

void Encode_E_Variable(long Position, char Valeur);
void Recupere_E_Variable(long Position, char *Valeur, boolean bReadMem);
void Encode_E_Var_String(long Position, char *Valeur, int Longueur);
void Recupere_E_Var_String(long Position, char *Valeur, int Longueur, boolean bReadMem);
void Recupere_E_Vote(int Position, char *Valeur, int Longueur);
void Encode_E_Vote(int Position, char *Valeur, int Longueur);
void Recupere_Nb_Cartes(void);
void Init_Vote_Counters(void);
void Check_Vote_Counters(void);
void Write_Counter(char *, int);
int Read_Counter(boolean );
boolean Alloc_Mem(void);
void Free_Mem(void);
void Check_Read_Write(void);
void Encode_Data_Disk(int , char *, int ,char );

boolean Est_Valide_E_Vote(int Position);
boolean Est_Libre_E_Position(int Position);
boolean Est_Valide_E_Val(int Position);
/*<< 9.01c*/
void Encrypt_Decrypt(char *pzInputData, char *pzPassword, unsigned int iSize); 
void Generate_Password(char *pzPassword, long Position, boolean bIndic); 
/*>>*/

extern int Change_Disque(char *pzMessage, boolean bInd);
extern int Getch(char COLOR); 
extern void Erreur(char *msg);
extern void Boucle_Erreur(void);
extern int Disk_Num(void);
extern void Ram_Disk_Load(void);
extern void Disk_Ram_Load(void);
extern void Eprom_Ram_Load(void);
extern int Ram_Eprom_Load(void);
extern boolean Disk_Write(unsigned char Valeur, long Emplacement);
extern boolean Disk_Writed(long Emplacement);
extern boolean Eprom_Read(unsigned char *Valeur, long Emplacement);
extern boolean Eprom_Writed(long Emplacement);
extern boolean Ram_Writed(long Emplacement);
extern boolean Ram_Read(unsigned char *Valeur, long Emplacement);
extern boolean Ram_Write(unsigned char Valeur, long Emplacement);
extern boolean Eprom_Write(unsigned char Valeur, long Emplacement);
extern boolean Disk_Writed(long Emplacement);
extern boolean Disk_Read(unsigned char *Valeur, long Emplacement);
extern void Disk_Ram_Load();

#endif /*__VARIABLE_H__*/
/*******************************************************************/

